- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Returns the screenshot from the specified instance.
HTTP request
GET https://compute.googleapis.com/compute/v1/projects/{project}/zones/{zone}/instances/{instance}/screenshot The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
Project ID for this request. |
zone |
The name of the zone for this request. |
instance |
Name of the instance scoping this request. |
Request body
The request body must be empty.
Response body
An instance's screenshot.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "kind": string, "contents": string } |
| Fields | |
|---|---|
kind |
Output only. Type of the resource. Always |
contents |
Output only. The Base64-encoded screenshot data. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/compute.readonlyhttps://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:
compute.instances.getScreenshot
To find predefined roles that contain those permissions, see Compute Engine IAM Roles.